allow-lan: true
dns:
  enable: true
  enhanced-mode: fake-ip
  fake-ip-filter:
  - '*'
  - +.lan
  fake-ip-range: 28.0.0.1/8
  ipv6: true
  listen: 0.0.0.0:1053
  nameserver:
  - 8.8.8.8#DNS
  - 1.1.1.1#DNS
  nameserver-policy:
    +.bit.edu.cn:
    - 10.0.32.32
    - 10.0.32.33
    - 114.114.114.114
    geosite:cn:
    - 114.114.114.114
    - 223.5.5.5
    - 223.6.6.6
    geosite:google:
    - 8.8.8.8#DNS
    rule-set:custom:
    - 114.114.114.114
    - 223.5.5.5
    - 223.6.6.6
    rule-set:hk:
    - 8.8.8.8#HK
    rule-set:jp:
    - 8.8.8.8#JP
  proxy-server-nameserver:
  - 114.114.114.114
  - 223.5.5.5
  - 223.6.6.6
external-controller: 127.0.0.1:9090
external-ui: ui
external-ui-url: https://github.com/MetaCubeX/metacubexd/archive/refs/heads/gh-pages.zip
find-process-mode: strict
geodata-loader: standard
geodata-mode: true
geox-url:
  geoip: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/geoip.dat
  geosite: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/geosite.dat
  mmdb: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/country.mmdb
global-client-fingerprint: chrome
hosts:
  '*.chino.icu': 38.60.91.12
  ld-guide.chino.icu: ld-guide.xcandlrr.workers.dev
ipv6: false
keep-alive-interval: 30
log-level: warning
mixed-port: 7890
mode: rule
profile:
  store-fake-ip: true
  store-selected: true
proxies:
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-zgovds-dmit
  network: xhttp
  port: 443
  server: dmit.090906.xyz
  servername: zgovds.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-zgovds-akkosjc
  network: xhttp
  port: 443
  server: akkosjc.090906.xyz
  servername: zgovds.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-dmit-direct
  network: xhttp
  port: 443
  server: dmit.090906.xyz
  servername: dmit.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-rn-dmit
  network: xhttp
  port: 443
  server: dmit.090906.xyz
  servername: rn.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-rn-direct
  network: xhttp
  port: 443
  server: rn.090906.xyz
  servername: rn.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: HK-zgohk-direct
  network: xhttp
  port: 443
  server: zgohk.090906.xyz
  servername: zgohk.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: HK-zgovds-dmit
  network: xhttp
  port: 443
  server: dmit.090906.xyz
  servername: zgovds.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: JP-bestvmjp-zgohk
  network: xhttp
  port: 443
  server: zgohk.090906.xyz
  servername: bestvmjp.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: JP-zgovds-dmit
  network: xhttp
  port: 443
  server: dmit.090906.xyz
  servername: zgovds.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: SAFE-safe-dmit
  network: xhttp
  port: 443
  server: dmit.090906.xyz
  servername: webshare.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: SAFE-safe-akkosjc
  network: xhttp
  port: 443
  server: akkosjc.090906.xyz
  servername: webshare.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-akkosjc-direct
  network: xhttp
  port: 443
  server: akkosjc.090906.xyz
  servername: akkosjc.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: JP-bestvmjp-akkosjc
  network: xhttp
  port: 443
  server: akkosjc.090906.xyz
  servername: bestvmjp.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-dmit-akkosjc
  network: xhttp
  port: 443
  server: akkosjc.090906.xyz
  servername: dmit.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: UK-oracleuk-akkosjc
  network: xhttp
  port: 443
  server: akkosjc.090906.xyz
  servername: oracleuk.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-rn-akkosjc
  network: xhttp
  port: 443
  server: akkosjc.090906.xyz
  servername: rn.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: HK-zgohk-akkosjc
  network: xhttp
  port: 443
  server: akkosjc.090906.xyz
  servername: zgohk.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-akkosjc-bestvmjp
  network: xhttp
  port: 443
  server: bestvmjp.090906.xyz
  servername: akkosjc.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: JP-bestvmjp-direct
  network: xhttp
  port: 443
  server: bestvmjp.090906.xyz
  servername: bestvmjp.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-dmit-bestvmjp
  network: xhttp
  port: 443
  server: bestvmjp.090906.xyz
  servername: dmit.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: UK-oracleuk-bestvmjp
  network: xhttp
  port: 443
  server: bestvmjp.090906.xyz
  servername: oracleuk.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-rn-bestvmjp
  network: xhttp
  port: 443
  server: bestvmjp.090906.xyz
  servername: rn.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: SAFE-safe-bestvmjp
  network: xhttp
  port: 443
  server: bestvmjp.090906.xyz
  servername: webshare.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: HK-zgohk-bestvmjp
  network: xhttp
  port: 443
  server: bestvmjp.090906.xyz
  servername: zgohk.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-zgovds-bestvmjp
  network: xhttp
  port: 443
  server: bestvmjp.090906.xyz
  servername: zgovds.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-akkosjc-dmit
  network: xhttp
  port: 443
  server: dmit.090906.xyz
  servername: akkosjc.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: JP-bestvmjp-dmit
  network: xhttp
  port: 443
  server: dmit.090906.xyz
  servername: bestvmjp.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: UK-oracleuk-dmit
  network: xhttp
  port: 443
  server: dmit.090906.xyz
  servername: oracleuk.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: HK-zgohk-dmit
  network: xhttp
  port: 443
  server: dmit.090906.xyz
  servername: zgohk.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-akkosjc-zgohk
  network: xhttp
  port: 443
  server: zgohk.090906.xyz
  servername: akkosjc.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-dmit-zgohk
  network: xhttp
  port: 443
  server: zgohk.090906.xyz
  servername: dmit.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: UK-oracleuk-zgohk
  network: xhttp
  port: 443
  server: zgohk.090906.xyz
  servername: oracleuk.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-rn-zgohk
  network: xhttp
  port: 443
  server: zgohk.090906.xyz
  servername: rn.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: SAFE-safe-zgohk
  network: xhttp
  port: 443
  server: zgohk.090906.xyz
  servername: webshare.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
- alpn:
  - h2
  - h3
  client-fingerprint: chrome
  encryption: ''
  name: US-zgovds-zgohk
  network: xhttp
  port: 443
  server: zgohk.090906.xyz
  servername: zgovds.090906.xyz
  tls: true
  type: vless
  udp: true
  uuid: 896e6858-7856-42be-9bbd-a6a1820ebb60
  xhttp-opts:
    mode: stream-one
    path: /xhttp
    reuse-settings:
      c-max-reuse-times: '0'
      h-keep-alive-period: '0'
      h-max-request-times: 600-900
      h-max-reusable-secs: 1800-3000
      max-concurrency: 16-32
proxy-groups:
- name: Proxies
  proxies:
  - US
  - HK
  - JP
  - UK
  - SAFE
  type: select
- name: DNS
  proxies:
  - Proxies
  - US
  - HK
  - JP
  - UK
  - SAFE
  type: select
- name: US
  proxies:
  - US-zgovds-dmit
  - US-zgovds-akkosjc
  - US-dmit-direct
  - US-rn-dmit
  - US-rn-direct
  - US-akkosjc-direct
  - US-dmit-akkosjc
  - US-rn-akkosjc
  - US-akkosjc-bestvmjp
  - US-dmit-bestvmjp
  - US-rn-bestvmjp
  - US-zgovds-bestvmjp
  - US-akkosjc-dmit
  - US-akkosjc-zgohk
  - US-dmit-zgohk
  - US-rn-zgohk
  - US-zgovds-zgohk
  type: select
- name: HK
  proxies:
  - HK-zgohk-direct
  - HK-zgovds-dmit
  - HK-zgohk-akkosjc
  - HK-zgohk-bestvmjp
  - HK-zgohk-dmit
  type: select
- name: JP
  proxies:
  - JP-bestvmjp-zgohk
  - JP-zgovds-dmit
  - JP-bestvmjp-akkosjc
  - JP-bestvmjp-direct
  - JP-bestvmjp-dmit
  type: select
- name: UK
  proxies:
  - UK-oracleuk-akkosjc
  - UK-oracleuk-bestvmjp
  - UK-oracleuk-dmit
  - UK-oracleuk-zgohk
  type: select
- name: SAFE
  proxies:
  - SAFE-safe-dmit
  - SAFE-safe-akkosjc
  - SAFE-safe-bestvmjp
  - SAFE-safe-zgohk
  type: select
rule-providers:
  custom:
    behavior: classical
    inteval: 8640000
    path: ./ruleset/custom.yaml
    type: http
    url: https://chino.icu/ruleset/custom.yaml
  hk:
    behavior: classical
    inteval: 8640000
    path: ./ruleset/hk.yaml
    type: http
    url: https://chino.icu/ruleset/hk.yaml
  jp:
    behavior: classical
    inteval: 8640000
    path: ./ruleset/jp.yaml
    type: http
    url: https://chino.icu/ruleset/jp.yaml
  safe:
    behavior: classical
    inteval: 8640000
    path: ./ruleset/safe.yaml
    type: http
    url: https://chino.icu/ruleset/safe.yaml
  simlock:
    behavior: classical
    inteval: 8640000
    path: ./ruleset/simlock.yaml
    type: http
    url: https://chino.icu/ruleset/simlock.yaml
  tw:
    behavior: classical
    inteval: 8640000
    path: ./ruleset/tw.yaml
    type: http
    url: https://chino.icu/ruleset/tw.yaml
rules:
- RULE-SET,simlock,REJECT
- GEOSITE,google,Proxies
- RULE-SET,custom,DIRECT
- RULE-SET,tw,HK
- RULE-SET,hk,HK
- RULE-SET,jp,JP
- GEOIP,CN,DIRECT
- GEOIP,private,DIRECT
- MATCH,Proxies
sniffer:
  enable: false
  sniff:
    HTTP:
      override-destination: true
      ports:
      - 80
    TLS:
      ports:
      - 443
tcp-concurrent: true
tun:
  auto-detect-interface: true
  auto-route: true
  dns-hijack:
  - any:53
  enable: true
  stack: gvisor
unified-delay: true
